http_get_request_body_stream
http_get_request_headers
HTTP Functions
PHP Manual

# http_get_request_body

(PECL pecl_http >= 0.10.0)

http_get_request_body — Get request body as string

### Description

string http_get_request_body ( void )

Get the raw request body (e.g. POST or PUT data).

This function can not be used after http_get_request_body_stream() if the request method was another than POST.

### Parameters

### Return Values

Returns the raw request body as string on success or `NULL` on failure.

### See Also

- http_get_request_body_stream() - Get request body as stream
- http_get_request_headers() - Get request headers as array
- the HttpResponse class if you are using PHP 5.1.0 and above

http_get_request_body_stream
http_get_request_headers
HTTP Functions
PHP Manual